#
# Makefile.am
#

SUFFIXES = .eps .png
.obj.eps:
	tgif -print -eps $<

# SUFFIXES = .png
.eps.png:
	convert $< >@

#htmldir = $(prefix)/doc/coconut
#html_DATA = ./html/coconut.html
# info_TEXINFOS = coconut.texinfo 
info_TEXINFOS =

coconut_files = \
  classes.texinfo \
  class-group.texinfo \
  control-flow.texinfo \
  gpl.texinfo \
  install.texinfo \
  dictionary.texinfo \
  protocols.texinfo \
  title.png

CLEANFILES = ./html/*

./html/coconut.html : $(info_TEXINFOS) $(coconut_files)
	papaya-config --exec texi2html-wrapper coconut.texinfo
	cp *.png html
	rm -f ./*.html

title.png : title.obj
	tgif -print -eps title.obj
	convert title.eps title.png

